/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.FactureFrs;

import javafx.beans.property.SimpleStringProperty;

/**
 * @author Maher
 */
public class FactureFrsProduitList {
    
    private final SimpleStringProperty IdListProdFact;
    private final SimpleStringProperty IdFactureFrs;
    private final SimpleStringProperty Reference;
    private final SimpleStringProperty Designation;
    private final SimpleStringProperty Quantite;
    private final SimpleStringProperty PrixUnitaireHorsTaxe;
    private final SimpleStringProperty PrixUnitaireHorsTaxenNet;
    private final SimpleStringProperty Remise;
    private final SimpleStringProperty Tva;
    private final SimpleStringProperty Montant;
    
    public FactureFrsProduitList(String id_list_prod, String id_facture, String reference, String designation,String quantite, String p_u_h_t, String p_u_h_t_net, String remise, String tva, String montant)
    {
        this.IdListProdFact = new SimpleStringProperty(id_list_prod);
        this.IdFactureFrs = new SimpleStringProperty(id_facture);
        this.Reference = new SimpleStringProperty(reference);
        this.Designation = new SimpleStringProperty(designation);
        this.Quantite = new SimpleStringProperty(quantite);
        this.PrixUnitaireHorsTaxe = new SimpleStringProperty(p_u_h_t);
        this.PrixUnitaireHorsTaxenNet = new SimpleStringProperty(p_u_h_t_net);
        this.Remise = new SimpleStringProperty(remise);
        this.Tva = new SimpleStringProperty(tva);
        this.Montant = new SimpleStringProperty(montant);
    }
    
    public String getIdListProdFact() {
        return IdListProdFact.get();
    }
    
    public String getIdFactureFrs() {
        return IdFactureFrs.get();
    }
    
    public String getReference() {
        return Reference.get();
    }
    
    public String getDesignation() {
        return Designation.get();
    }
    
    public String getQuantite() {
        return Quantite.get();
    }
    
    public String getPrixUnitaireHorsTaxe() {
        return PrixUnitaireHorsTaxe.get();
    }
    
    public String getPrixUnitaireHorsTaxenNet() {
        return PrixUnitaireHorsTaxenNet.get();
    }
    
    public String getRemise() {
        return Remise.get();
    }
    
    public String getTva() {
        return Tva.get();
    }
    
    public String getMontant() {
        return Montant.get();
    }
}
